summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:22:57 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:33 +0000
commitca89bec297612752a7f9c6015f236631e1401e92 (patch)
tree689cd10969e03e532dc03f1352720f896b11923f /coin/provisioning
parent66595488f0abfd0e078e93f61a5e209c848129c4 (diff)
Add set -ex to provisioning scripts for RHEL 6.6
Change-Id: I6e6e66cffcbd84af1e093176d65751063492122b Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/05-subscription-manager-tooling.sh3
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/06-odbc.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-libclang.sh2
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-pythondev.sh3
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh2
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/libusb.sh3
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/version.sh3
7 files changed, 19 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/05-subscription-manager-tooling.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/05-subscription-manager-tooling.sh
index 852c1100..59fd541f 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/05-subscription-manager-tooling.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/05-subscription-manager-tooling.sh
@@ -2,5 +2,8 @@
# version: provided by RedHat
# needed for yum to work properly in case there is incorrect data in
# the sslclientkey repository parameter value
+
+set -ex
+
sudo rm -f /etc/pki/entitlement/*
sudo subscription-manager refresh
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/06-odbc.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/06-odbc.sh
index f6c90a75..4e4fb462 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/06-odbc.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/06-odbc.sh
@@ -1,4 +1,7 @@
# provides: odbc devel packages on RHEL
# version: provided by default Linux distribution repository
# needed for configure -plugin-sql-odbc in qtbase
+
+set -ex
+
sudo yum install -y unixODBC-devel
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-libclang.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-libclang.sh
index aa64a892..5248f86f 100755
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-libclang.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-libclang.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
. $BASEDIR/../common/sw_versions.txt
VERSION=$libclang_version
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-pythondev.sh
index 0003127a..43ba9ecd 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-pythondev.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/08-pythondev.sh
@@ -1,6 +1,9 @@
# provides: python development libraries
# version: provided by default Linux distribution repository
# needed to build pyside
+
+set -ex
+
sudo yum install -y python-devel python-virtualenv
# install the EPEL repository which provides python3
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh
index d7abd285..5c88e498 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh
@@ -1 +1,3 @@
+set -ex
+
$(dirname $0)/../common/cmake_linux.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/libusb.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/libusb.sh
index 229e259f..1831ea52 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/libusb.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/libusb.sh
@@ -1,3 +1,6 @@
#!/bin/env bash
# Required for tqtc-boot2qt/qdb
+
+set -ex
+
sudo yum install -y libusb1-devel
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/version.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/version.sh
index 5ef5f0e9..836f6ec4 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/version.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/version.sh
@@ -36,6 +36,9 @@
# This script needs to be called last during provisioning so that the software information will show up last in provision log.
# Storage installed RPM packages information
+
+set -ex
+
echo "*********************************************" >> ~/versions.txt
echo "***** All installed RPM packages *****" >> ~/versions.txt
rpm -q -a | sort >> ~/versions.txt